Bug 250131 - New port: lang/ruby30 Object-oriented interpreted scripting language
Summary: New port: lang/ruby30 Object-oriented interpreted scripting language
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL: https://www.ruby-lang.org/en/news/202...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-05 05:01 UTC by Yasuhiro KIMURA
Modified: 2020-10-12 03:06 UTC (History)
2 users (show)

See Also:


Attachments
Patch file (904.54 KB, patch)
2020-10-05 05:01 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2020-10-05 05:01:36 UTC
Created attachment 218529 [details]
Patch file

Ruby is the interpreted scripting language for quick and easy object-oriented programming.  It has many features to process text files and to do system management tasks (as in Perl). It is simple, straight-forward, and extensible.

This is version 3.0 of Ruby.
    
To apply attached patch please take following steps.

1. cd /usr/ports
2. svn copy lang/ruby27 lang/ruby30
3. svn patch /path/to/attached/patch
Comment 1 commit-hook freebsd_committer 2020-10-12 03:02:49 UTC
A commit references this bug:

Author: meta
Date: Mon Oct 12 03:02:36 UTC 2020
New revision: 552092
URL: https://svnweb.freebsd.org/changeset/ports/552092

Log:
  Add lang/ruby30 (Ruby 3.0.0 Preview 1)

  PR:		250131
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Reviewed by:	meta (myself)
  Relnotes:	https://www.ruby-lang.org/en/news/2020/09/25/ruby-3-0-0-preview1-released/

Changes:
  head/Mk/bsd.default-versions.mk
  head/Mk/bsd.ruby.mk
  head/lang/Makefile
  head/lang/ruby30/
  head/lang/ruby30/Makefile
  head/lang/ruby30/distinfo
  head/lang/ruby30/files/patch-tool_rbinstall.rb
  head/lang/ruby30/files/patch-upstream-bug17191
  head/lang/ruby30/pkg-plist
Comment 2 Koichiro Iwao freebsd_committer 2020-10-12 03:06:50 UTC
Committed, thank you always!